package com.kmall.api.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单退款记录表实体
 * 表名 mall_order_refund
 *
 * @author huangyaqin
 * @email admin@qhdswl.com
 * @date 2018-10-29 16:58:06
 */
public class MallOrderRefund implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 订单Id
     */
    private Integer orderId;
    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * 商户退款单号
     */
    private String outRefundNo;
    /**
     * 微信退款单号
     */
    private String refundId;
    /**
     * 退款类型 1用户全额退款 2系统部分退款
     */
    private Integer refundType;
    /**
     * 退款时间
     */
    private Date refundTime;
    /**
     *
     */
    private String creator;
    /**
     * 退款金额
     */
    private BigDecimal refundMoney;
    /**
     *  退款状态 1申请中 2退款成功 3已拒绝
     */
    private Integer refundStatus;
    /**
     * 退款原因
     */
    private String refundReason;
    /**
     * 审核人
     */
    private String approver;
    /**
     * 审核时间
     */
    private Date approvalTime;
    /**
     * 审核备注
     */
    private String approvalRemark;
    /**
     * 创建人编号
     */
    private String createSn;
    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String refundRecvAccout;

    private String wechatRefundStatusDes;

    public String getWechatRefundStatusDes() {
        return wechatRefundStatusDes;
    }

    public void setWechatRefundStatusDes(String wechatRefundStatusDes) {
        this.wechatRefundStatusDes = wechatRefundStatusDes;
    }

    public String getRefundRecvAccout() {
        return refundRecvAccout;
    }

    public void setRefundRecvAccout(String refundRecvAccout) {
        this.refundRecvAccout = refundRecvAccout;
    }

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：订单Id
     */
    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取：订单Id
     */
    public Integer getOrderId() {
        return orderId;
    }
    /**
     * 设置：用户Id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户Id
     */
    public Integer getUserId() {
        return userId;
    }
    /**
     * 设置：商户退款单号
     */
    public void setOutRefundNo(String outRefundNo) {
        this.outRefundNo = outRefundNo;
    }

    /**
     * 获取：商户退款单号
     */
    public String getOutRefundNo() {
        return outRefundNo;
    }
    /**
     * 设置：微信退款单号
     */
    public void setRefundId(String refundId) {
        this.refundId = refundId;
    }

    /**
     * 获取：微信退款单号
     */
    public String getRefundId() {
        return refundId;
    }
    /**
     * 设置：退款类型 1用户全额退款 2系统部分退款
     */
    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    /**
     * 获取：退款类型 1用户全额退款 2系统部分退款
     */
    public Integer getRefundType() {
        return refundType;
    }
    /**
     * 设置：退款时间
     */
    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    /**
     * 获取：退款时间
     */
    public Date getRefundTime() {
        return refundTime;
    }
    /**
     * 设置：
     */
    public void setCreator(String creator) {
        this.creator = creator;
    }

    /**
     * 获取：
     */
    public String getCreator() {
        return creator;
    }
    /**
     * 设置：退款金额
     */
    public void setRefundMoney(BigDecimal refundMoney) {
        this.refundMoney = refundMoney;
    }

    /**
     * 获取：退款金额
     */
    public BigDecimal getRefundMoney() {
        return refundMoney;
    }
    /**
     * 设置： 退款状态 1申请中 2退款成功 3已拒绝
     */
    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    /**
     * 获取： 退款状态 1申请中 2退款成功 3已拒绝
     */
    public Integer getRefundStatus() {
        return refundStatus;
    }
    /**
     * 设置：退款原因
     */
    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }

    /**
     * 获取：退款原因
     */
    public String getRefundReason() {
        return refundReason;
    }
    /**
     * 设置：审核人
     */
    public void setApprover(String approver) {
        this.approver = approver;
    }

    /**
     * 获取：审核人
     */
    public String getApprover() {
        return approver;
    }
    /**
     * 设置：审核时间
     */
    public void setApprovalTime(Date approvalTime) {
        this.approvalTime = approvalTime;
    }

    /**
     * 获取：审核时间
     */
    public Date getApprovalTime() {
        return approvalTime;
    }
    /**
     * 设置：审核备注
     */
    public void setApprovalRemark(String approvalRemark) {
        this.approvalRemark = approvalRemark;
    }

    /**
     * 获取：审核备注
     */
    public String getApprovalRemark() {
        return approvalRemark;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreateSn(String createSn) {
        this.createSn = createSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreateSn() {
        return createSn;
    }
    /**
     * 设置：创建时间,yyyy-MM-dd HH:mm:ss
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间,yyyy-MM-dd HH:mm:ss
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
